Prepros

Prepros 7.3.29 – Descargar gratis

0
(0)

Prepros puede compilar Sass, Less, Stylus, Pug / Jade, Haml, Slim, CoffeeScript y TypeScript desde el primer momento. También puede agregar sus propias herramientas con solo unos pocos clics.

Paquete de JavaScript

Agrupe las importaciones y los módulos de ES6 desde npm sin escribir un archivo de configuración.

Encuentre problemas de un vistazo

Prepros muestra exactamente dónde tiene un problema en su código. Olvídese de la pantalla negra llena de confusión ilegible.

Servidor incorporado

Prepros viene con un servidor HTTP y HTTPS integrado. Puede servir páginas directamente desde la carpeta de su proyecto o proxy desde un servidor externo como WordPress, Shopify, XAMPP, Wamp, MAMP, etc.

Vista previa de red

Obtenga una vista previa de las páginas en dispositivos móviles con facilidad. Simplemente escanee el código QR o abra la dirección. Prepros también recarga todos los navegadores móviles conectados automáticamente cada vez que realiza un cambio en su código.

Recarga automática del navegador

Prepros recarga sus navegadores automáticamente cada vez que realiza un cambio en su código.

Minificar y optimizar

Minimice y optimice los activos para ahorrar ancho de banda y hacer que sus sitios sean más rápidos. Minifica y comprime archivos JavaScript. Minifica y comprime archivos CSS. Optimice las imágenes jpg, png y svg.

Pruebas sincronizadas

Prepros sincroniza la posición de desplazamiento, el mouse, el teclado y las entradas de formulario en varios dispositivos y navegadores. Hace que sea realmente fácil probar sitios en todas partes. Sincroniza la posición de desplazamiento relativa. Sincroniza toques, clics y desplazamiento. Sincroniza entradas de teclado y formulario.

Administrar paquetes con NPM

Busque, instale y administre paquetes desde npmjs.org con solo unos pocos clics.

Qué hay de nuevo:

  • Se agregó una opción para hacer referencia automáticamente a los polyfills de core-js.
  • Se corrigió un error que ocurría cuando la lista de exclusión de bundle-js estaba vacía.
  • Se actualizó Dart Sass a 1.26.10
  • TypeScript actualizado a 3.9.6
  • Se actualizaron los complementos y ajustes preestablecidos de Babel, Babel a 7.10.4
  • Autoprefixer actualizado a 9.8.5

Opciones de descarga:

¿Le ha parecido útil este contenido?

¡Haz clic en una estrella para puntuar!

Promedio de puntuación 0 / 5. Recuento de votos: 0

Hasta ahora, ¡no hay votos!. Sé el primero en puntuar este contenido.